/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// fugenView2Dxy.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "fugenView2Dxy.h"
#include "fugen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// fugenView2Dxy

IMPLEMENT_DYNCREATE(fugenView2Dxy, fugenView2D)

fugenView2Dxy::fugenView2Dxy():fugenView2D(0,'x','y'){;}
fugenView2Dxy::~fugenView2Dxy(){;}

BEGIN_MESSAGE_MAP(fugenView2Dxy, fugenView2D)
	//{{AFX_MSG_MAP(fugenView2D)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void fugenView2Dxy::OnInitialUpdate(){
	InitOpenGL();
	const MGContext* ct = document().context();
	importDrawAttribFromContext(*ct);

	setEyePositionUpVector(MGVector(0.,0.,1.),MGVector(0.,1.,0.));
	set_perspective(false);
	initializeModel();

	fugenView* mainV=get_main_view();
	set_parent_OpenGLView(mainV);//We use maiV's display lists as the target.
	setTitle();
	copyCplaneEnability(mainV);//We use mainV's cplane info as the target.
}
